"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformTransactionQuery = exports.parseVote = void 0;
const utils_1 = require("../helpers/utils");
const parseVote = (vote) => {
    const name = vote.slice(1);
    const direction = vote.charAt(0);
    return [name, direction];
};
exports.parseVote = parseVote;
const transformTransactionQuery = (obj) => {
    if (!obj) {
        return {};
    }
    const transformed = {
        ...obj,
    };
    for (const topLevelProp in obj) {
        if ((0, utils_1.hasOwnProperty)(obj, topLevelProp)) {
            if (topLevelProp === 'or' || topLevelProp === 'and') {
                const subProps = obj[topLevelProp];
                for (const subProp in subProps) {
                    if ((0, utils_1.hasOwnProperty)(subProps, subProp)) {
                        const newKey = `${topLevelProp}:${subProp}`;
                        transformed[newKey] = subProps[subProp];
                    }
                }
                delete transformed[topLevelProp];
            }
        }
    }
    return transformed;
};
exports.transformTransactionQuery = transformTransactionQuery;
