"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.dash = void 0;
const bitcoin = __importStar(require("bitcoinjs-lib"));
const ecpair_1 = require("ecpair");
const tinysecp = __importStar(require("tiny-secp256k1"));
const coininfo_1 = __importDefault(require("coininfo"));
const RE_DASH_ADDRESS = /^[7X][1-9A-HJ-NP-Za-km-z]{33,}$/;
const network = coininfo_1.default.dash.main.toBitcoinJS();
exports.dash = {
    keys: (passphrase) => {
        const pwHash = bitcoin.crypto.sha256(Buffer.from(passphrase));
        const ECPairAPI = (0, ecpair_1.ECPairFactory)(tinysecp);
        const keyPair = ECPairAPI.fromPrivateKey(pwHash, { network });
        return {
            network,
            keyPair,
            address: bitcoin.payments.p2pkh({ pubkey: keyPair.publicKey, network })
                .address,
            // DASH private key is a regular 256-bit key
            privateKey: keyPair.privateKey?.toString('hex'),
            privateKeyWIF: keyPair.toWIF(), // Wallet Import Format (52 base58 characters)
        };
    },
    isValidAddress: (address) => typeof address === 'string' && RE_DASH_ADDRESS.test(address),
};
