"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.eth = void 0;
const bip39_1 = require("bip39");
const hdkey_1 = __importDefault(require("hdkey"));
const ethereumjs_util_1 = require("ethereumjs-util");
const HD_KEY_PATH = "m/44'/60'/3'/1/0";
exports.eth = {
    keys: (passphrase) => {
        const seed = (0, bip39_1.mnemonicToSeedSync)(passphrase);
        const privateKey = hdkey_1.default
            .fromMasterSeed(seed)
            .derive(HD_KEY_PATH).privateKey;
        return {
            address: (0, ethereumjs_util_1.bufferToHex)((0, ethereumjs_util_1.privateToAddress)(privateKey)),
            privateKey: (0, ethereumjs_util_1.bufferToHex)(privateKey),
        };
    },
};
