/// <reference types="node" />
import BigNumber from 'bignumber.js';
type Endian = 1 | -1 | 'big' | 'little';
interface TransformBufferOptions {
    endian?: Endian;
    size?: number | 'auto';
}
export declare const fromBuffer: (buf: Buffer, opts?: TransformBufferOptions) => BigNumber;
export declare const toBuffer: (bignumber: BigNumber, opts?: TransformBufferOptions | 'mpint') => Buffer;
export declare function resolveEndian(opts: TransformBufferOptions): Endian;
export declare function resolveSize(opts: TransformBufferOptions, defaultSize: number): number;
export declare function validateBufferLength(buf: Buffer, size: number): void;
export declare function bufferToHexArray(buf: Buffer, size: number, endian: Endian): string[];
export declare function bignumberToHex(bignumber: BigNumber): string;
export declare function hexToBuffer(hex: string, size: number, endian: Endian): Buffer;
export {};
