export declare enum TransactionType {
    SEND = 0,
    SIGNATURE = 1,
    DELEGATE = 2,
    VOTE = 3,
    MULTI = 4,
    DAPP = 5,
    IN_TRANSFER = 6,
    OUT_TRANSFER = 7,
    CHAT_MESSAGE = 8,
    STATE = 9
}
export type MessageTypes = 1 | 2 | 3;
/**
 * Message type
 *
 * @see https://github.com/Adamant-im/adamant/wiki/Message-Types
 */
export declare enum MessageType {
    Chat = 1,
    Rich = 2,
    Signal = 3
}
export declare const MAX_VOTES_PER_TRANSACTION = 33;
/**
 * 4 seconds
 */
export declare const HEALTH_CHECK_TIMEOUT = 4000;
export declare const DEFAULT_GET_REQUEST_RETRIES = 3;
export declare const SAT = 100000000;
export declare const fees: {
    send: number;
    vote: number;
    secondsignature: number;
    delegate: number;
    multisignature: number;
    dapp: number;
    old_chat_message: number;
    chat_message: number;
    profile_update: number;
    avatar_upload: number;
    state_store: number;
};
