"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fees = exports.SAT = exports.DEFAULT_GET_REQUEST_RETRIES = exports.HEALTH_CHECK_TIMEOUT = exports.MAX_VOTES_PER_TRANSACTION = exports.MessageType = exports.TransactionType = void 0;
var TransactionType;
(function (TransactionType) {
    TransactionType[TransactionType["SEND"] = 0] = "SEND";
    TransactionType[TransactionType["SIGNATURE"] = 1] = "SIGNATURE";
    TransactionType[TransactionType["DELEGATE"] = 2] = "DELEGATE";
    TransactionType[TransactionType["VOTE"] = 3] = "VOTE";
    TransactionType[TransactionType["MULTI"] = 4] = "MULTI";
    TransactionType[TransactionType["DAPP"] = 5] = "DAPP";
    TransactionType[TransactionType["IN_TRANSFER"] = 6] = "IN_TRANSFER";
    TransactionType[TransactionType["OUT_TRANSFER"] = 7] = "OUT_TRANSFER";
    TransactionType[TransactionType["CHAT_MESSAGE"] = 8] = "CHAT_MESSAGE";
    TransactionType[TransactionType["STATE"] = 9] = "STATE";
})(TransactionType || (exports.TransactionType = TransactionType = {}));
/**
 * Message type
 *
 * @see https://github.com/Adamant-im/adamant/wiki/Message-Types
 */
var MessageType;
(function (MessageType) {
    MessageType[MessageType["Chat"] = 1] = "Chat";
    MessageType[MessageType["Rich"] = 2] = "Rich";
    MessageType[MessageType["Signal"] = 3] = "Signal";
})(MessageType || (exports.MessageType = MessageType = {}));
exports.MAX_VOTES_PER_TRANSACTION = 33;
/**
 * 4 seconds
 */
exports.HEALTH_CHECK_TIMEOUT = 4000;
exports.DEFAULT_GET_REQUEST_RETRIES = 3;
exports.SAT = 100_000_000;
exports.fees = {
    send: 50000000,
    vote: 1000000000,
    secondsignature: 500000000,
    delegate: 30000000000,
    multisignature: 500000000,
    dapp: 2500000000,
    old_chat_message: 500000,
    chat_message: 100000,
    profile_update: 5000000,
    avatar_upload: 10000000,
    state_store: 100000,
};
