"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAddressFromPublicKey = exports.createKeypairFromPassphrase = exports.createHashFromPassphrase = exports.makeKeypairFromHash = exports.createNewPassphrase = void 0;
const sodium_browserify_tweetnacl_1 = __importDefault(require("sodium-browserify-tweetnacl"));
const crypto_1 = __importDefault(require("crypto"));
const bip39_1 = require("bip39");
const bignum = __importStar(require("./bignumber"));
const createNewPassphrase = () => (0, bip39_1.generateMnemonic)();
exports.createNewPassphrase = createNewPassphrase;
const makeKeypairFromHash = (hash) => {
    const keypair = sodium_browserify_tweetnacl_1.default.crypto_sign_seed_keypair(hash);
    return {
        publicKey: keypair.publicKey,
        privateKey: keypair.secretKey,
    };
};
exports.makeKeypairFromHash = makeKeypairFromHash;
const createHashFromPassphrase = (passphrase) => crypto_1.default
    .createHash('sha256')
    .update((0, bip39_1.mnemonicToSeedSync)(passphrase).toString('hex'), 'hex')
    .digest();
exports.createHashFromPassphrase = createHashFromPassphrase;
const createKeypairFromPassphrase = (passphrase) => {
    const hash = (0, exports.createHashFromPassphrase)(passphrase);
    return (0, exports.makeKeypairFromHash)(hash);
};
exports.createKeypairFromPassphrase = createKeypairFromPassphrase;
const createAddressFromPublicKey = (publicKey) => {
    const hash = crypto_1.default.createHash('sha256');
    if (typeof publicKey === 'string') {
        hash.update(publicKey, 'hex');
    }
    else {
        hash.update(publicKey);
    }
    const publicKeyBuffer = hash.digest();
    const temp = Buffer.alloc(8);
    for (let i = 0; i < 8; i++) {
        temp[i] = publicKeyBuffer[7 - i];
    }
    return `U${bignum.fromBuffer(temp)}`;
};
exports.createAddressFromPublicKey = createAddressFromPublicKey;
