export declare enum LogLevel {
    Error = 0,
    Warn = 1,
    Info = 2,
    Log = 3
}
export type CustomLogger = Record<'error' | 'warn' | 'info' | 'log', (str: string) => void>;
export declare const logLevels: readonly ["error", "warn", "info", "log"];
export type LogLevelName = (typeof logLevels)[number];
export declare class Logger {
    logger: CustomLogger;
    level: LogLevel;
    constructor(level?: LogLevel | LogLevelName, logger?: CustomLogger);
    error(message: string): void;
    warn(message: string): void;
    info(message: string): void;
    log(message: string): void;
}
