"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logger = exports.logLevels = exports.LogLevel = void 0;
var LogLevel;
(function (LogLevel) {
    LogLevel[LogLevel["Error"] = 0] = "Error";
    LogLevel[LogLevel["Warn"] = 1] = "Warn";
    LogLevel[LogLevel["Info"] = 2] = "Info";
    LogLevel[LogLevel["Log"] = 3] = "Log";
})(LogLevel || (exports.LogLevel = LogLevel = {}));
exports.logLevels = ['error', 'warn', 'info', 'log'];
class Logger {
    logger;
    level;
    constructor(level = LogLevel.Log, logger = console) {
        this.level = typeof level === 'number' ? level : exports.logLevels.indexOf(level);
        this.logger = logger;
    }
    error(message) {
        if (this.level >= LogLevel.Error) {
            this.logger.error(message);
        }
    }
    warn(message) {
        if (this.level >= LogLevel.Warn) {
            this.logger.warn(message);
        }
    }
    info(message) {
        if (this.level >= LogLevel.Info) {
            this.logger.info(message);
        }
    }
    log(message) {
        if (this.level >= LogLevel.Log) {
            this.logger.log(message);
        }
    }
}
exports.Logger = Logger;
