"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTransactionId = void 0;
const bignumber_1 = require("../bignumber");
const hash_1 = require("./hash");
const getTransactionId = (transaction) => {
    if (!transaction.signature) {
        throw new Error('Transaction Signature is required');
    }
    const hash = (0, hash_1.getHash)(transaction, { skipSignature: false });
    const temp = Buffer.alloc(8);
    for (let i = 0; i < 8; i++) {
        temp[i] = hash[7 - i];
    }
    return (0, bignumber_1.fromBuffer)(temp).toString();
};
exports.getTransactionId = getTransactionId;
