"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.retrieveIP = exports.parseUrl = void 0;
const promises_1 = __importDefault(require("dns/promises"));
const RE_HTTP_URL = /^https?:\/\/(.*)$/;
const RE_IP = /(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)(\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)){3}/;
const parseUrl = async (url) => {
    const isHttps = url.startsWith('https');
    // base url without port
    const [baseURL] = url.replace(RE_HTTP_URL, '$1').split(':');
    const ip = RE_IP.test(baseURL) ? baseURL : await (0, exports.retrieveIP)(baseURL);
    return {
        baseURL,
        ip,
        isHttps,
    };
};
exports.parseUrl = parseUrl;
const retrieveIP = async (url) => {
    try {
        const addresses = await promises_1.default.resolve4(url);
        if (addresses) {
            const [address] = addresses;
            if (address !== '0.0.0.0') {
                return address;
            }
        }
    }
    catch (error) {
        return;
    }
};
exports.retrieveIP = retrieveIP;
