import { MessageType, MessageTypes } from './constants';
export declare const getRandomIntInclusive: (minimum: number, maximum: number) => number;
export declare const isNumeric: (str: unknown) => str is string;
export declare const parseJsonSafe: (json: string) => {
    result: any;
    success: boolean;
    error?: undefined;
} | {
    error: unknown;
    success: boolean;
    result?: undefined;
};
export declare const isPassphrase: (passphrase: unknown) => passphrase is string;
export declare const isEndpoint: (endpoint: unknown) => endpoint is string;
export declare const isAdmAddress: (address: unknown) => address is `U${string}`;
export declare const isAdmPublicKey: (publicKey: unknown) => publicKey is string;
export declare const isAdmVoteForPublicKey: (publicKey: unknown) => publicKey is string;
export declare const isAdmVoteForAddress: (address: unknown) => boolean;
export declare const isAdmVoteForDelegateName: (delegateName: unknown) => delegateName is string;
export declare const isIntegerAmount: (amount: number) => boolean;
export declare const isStringAmount: (amount: string) => boolean;
export declare const isMessageType: (messageType: number) => messageType is MessageTypes;
export declare const validateMessage: (message: string, messageType?: MessageType) => {
    success: boolean;
    error: string;
} | {
    success: boolean;
    error?: undefined;
};
export declare const isDelegateName: (name: unknown) => name is string;
export declare const admToSats: (amount: number) => number;
export declare const badParameter: (name: string, value?: unknown, message?: string) => {
    success: boolean;
    error: string;
};
export type AdamantApiResult<T> = (Omit<T, 'success'> & {
    success: true;
}) | {
    success: false;
    errorMessage: string;
};
